openSUSE Security Update : xulrunner (openSUSE-SU-2013:0929-1)

Critical Nessus Plugin ID 75014

Synopsis

The remote openSUSE host is missing a security update.

Description

Mozilla xulrunner was updated to 17.0.6esr (bnc#819204)

- MFSA 2013-41/CVE-2013-0801/CVE-2013-1669 Miscellaneous memory safety hazards

- MFSA 2013-42/CVE-2013-1670 (bmo#853709) Privileged access for content level constructor

- MFSA 2013-46/CVE-2013-1674 (bmo#860971) Use-after-free with video and onresize event

- MFSA 2013-47/CVE-2013-1675 (bmo#866825) Uninitialized functions in DOMSVGZoomEvent

- MFSA 2013-48/CVE-2013-1676/CVE-2013-1677/CVE-2013-1678/ CVE-2013-1679/CVE-2013-1680/CVE-2013-1681 Memory corruption found using Address Sanitizer

Solution

Update the affected xulrunner packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=819204

https://lists.opensuse.org/opensuse-updates/2013-05/msg00035.html

https://lists.opensuse.org/opensuse-updates/2013-06/msg00066.html

Plugin Details

Severity: Critical

ID: 75014

File Name: openSUSE-2013-448.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:mozilla-js, p-cpe:/a:novell:opensuse:mozilla-js-32bit, p-cpe:/a:novell:opensuse:mozilla-js-debuginfo, p-cpe:/a:novell:opensuse:mozilla-js-debuginfo-32bit, p-cpe:/a:novell:opensuse:xulrunner, p-cpe:/a:novell:opensuse:xulrunner-32bit, p-cpe:/a:novell:opensuse:xulrunner-buildsymbols, p-cpe:/a:novell:opensuse:xulrunner-debuginfo, p-cpe:/a:novell:opensuse:xulrunner-debuginfo-32bit, p-cpe:/a:novell:opensuse:xulrunner-debugsource, p-cpe:/a:novell:opensuse:xulrunner-devel, p-cpe:/a:novell:opensuse:xulrunner-devel-debuginfo, cpe:/o:novell:opensuse:12.2, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2013/05/15

Reference Information

CVE: CVE-2013-0801, CVE-2013-1669, CVE-2013-1670, CVE-2013-1674, CVE-2013-1675, CVE-2013-1676, CVE-2013-1677, CVE-2013-1678, CVE-2013-1679, CVE-2013-1680, CVE-2013-1681